Package relaxngcc.parser

# Class IncludeParserRuntime

java.lang.Object
relaxngcc.parser.state.NGCCRuntime
relaxngcc.parser.ParserRuntime
relaxngcc.parser.IncludeParserRuntime

All Implemented Interfaces:
  `ContentHandler`, `NGCCEventSource`

public class IncludeParserRuntime extends ParserRuntime
Used to parse grammar included by <include> elements.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

### Fields inherited from class relaxngcc.parser.ParserRuntime

`grammar`

## Constructor Summary

Constructors
Constructor
Description
`IncludeParserRuntime(ParserRuntime parent)`

## Method Summary

Modifier and Type
Method
Description
`RootParserRuntime`
`getRootRuntime()`
Gets the reference to the root runtime.

### Methods inherited from class relaxngcc.parser.ParserRuntime

`addError, createLocator, endElement, getDatatype, getTargetNamespace, iterateErrors, parse, parseSimpleName, processInclude, startElement`

### Methods inherited from class relaxngcc.parser.state.NGCCRuntime

`characters, consumeAttribute, endDocument, endPrefixMapping, getAttributeIndex, getCurrentAttributes, getLocator, ignorableWhitespace, onEnterElementConsumed, onLeaveElementConsumed, processingInstruction, processList, redirectSubtree, replace, reset, resolveNamespacePrefix, sendEnterAttribute, sendEnterElement, sendLeaveAttribute, sendLeaveElement, sendText, setDocumentLocator, setRootHandler, skippedEntity, startDocument, startPrefixMapping, trace, traceln`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Constructor Details

### IncludeParserRuntime

public IncludeParserRuntime(ParserRuntime parent)

Parameters:
  `The` - parent runtime object that created this runtime.

## Method Details

### getRootRuntime

public RootParserRuntime getRootRuntime()
Description copied from class: `ParserRuntime`
Gets the reference to the root runtime.

Specified by:
  `getRootRuntime` in class `ParserRuntime`